# Bulk Imports

 - [GET /bulk_import/list](https://api-docs.treasuredata.com/apis/td-api-v3/public/openapi/bulk-imports/getbulkimports.md): This operation lists bulk imports.
 - [POST /bulk_import/create/{bulk_import_name}/{database_name}/{table_name}](https://api-docs.treasuredata.com/apis/td-api-v3/public/openapi/bulk-imports/createbulkimport.md): Enables the bulk importing of data to the targeted database and table and stores it in the default resource pool.
 - [GET /bulk_import/show/{bulk_import_name}](https://api-docs.treasuredata.com/apis/td-api-v3/public/openapi/bulk-imports/getbulkimportbyname.md): Shows the specified bulk import information.
 - [POST /bulk_import/delete/{bulk_import_name}](https://api-docs.treasuredata.com/apis/td-api-v3/public/openapi/bulk-imports/deletebulkimportbyname.md): Deletes the specified bulk import information.
 - [POST /bulk_import/freeze/{bulk_import_name}](https://api-docs.treasuredata.com/apis/td-api-v3/public/openapi/bulk-imports/freezebulkimportbyname.md): Freezes the specified bulk import.
 - [POST /bulk_import/unfreeze/{bulk_import_name}](https://api-docs.treasuredata.com/apis/td-api-v3/public/openapi/bulk-imports/unfreezebulkimportbyname.md): Unfreezes the specified bulk import.
 - [POST /bulk_import/perform/{bulk_import_name}](https://api-docs.treasuredata.com/apis/td-api-v3/public/openapi/bulk-imports/performbulkimportbyname.md): Executes a job to perform bulk import.
 - [POST /bulk_import/commit/{bulk_import_name}](https://api-docs.treasuredata.com/apis/td-api-v3/public/openapi/bulk-imports/commitbulkimportbyname.md): Commits the bulk import information having the specified name.
 - [GET /bulk_import/error_records/{bulk_import_name}](https://api-docs.treasuredata.com/apis/td-api-v3/public/openapi/bulk-imports/getbulkimporterrorrecordsbyname.md): Retrieves bulk import error records by name.
 - [PUT /bulk_import/upload_part/{bulk_import_name}/{bulk_import_part_name}](https://api-docs.treasuredata.com/apis/td-api-v3/public/openapi/bulk-imports/uploadbulkimportpart.md): Uploads the specified part of the specified bulk import.
 - [GET /bulk_import/list_parts/{bulk_import_name}](https://api-docs.treasuredata.com/apis/td-api-v3/public/openapi/bulk-imports/getallbulkimportparts.md): Retrieves a list of bulk import parts from a specified bulk import.
 - [POST /bulk_import/delete_part/{bulk_import_name}/{bulk_import_part_name}](https://api-docs.treasuredata.com/apis/td-api-v3/public/openapi/bulk-imports/deletebulkimportpart.md): Deletes a specified part for specified bulk import.
 - [POST /bulk_import/delete_all_parts/{bulk_import_name}](https://api-docs.treasuredata.com/apis/td-api-v3/public/openapi/bulk-imports/deleteallbulkimportparts.md): Deletes all bulk import parts.
